The New Lion OS and CS3 Compatibility

Discussion in 'Mac Basics and Help' started by SolidImaging, Jun 7, 2011.

  1. SolidImaging macrumors newbie

    Joined:
    May 15, 2008
    Location:
    Phoenix, Arizona
    #1
    Hi All!

    I'm wondering if anyone knows if the new OSX Lion will be compatible with Adobe CS3. I love some of the features I'm seeing and I'm very seriously thinking about getting it, but I'm not really into being forced to spend $1400 on an updated version of CS quite yet. I know I'm going to have to bite the bullet and spend the money at some point, but basically I'm just really super cheap and if it's working for me, why change? I didn't see anything on the Apple site saying anything about software compatibility with Lion but there is a warning at the bottom of the release email that says it requires compatible hardware and software. I have the hardware, just not so sure about the CS3 software. (I use Quark 8 most of the time anyway and I always upgrade that after a new version has been out for a few months just to give them some time to clear up any bugs.) Does anyone know?

    Thanks!
     
  2. Bear macrumors G3

    Joined:
    Jul 23, 2002
    Location:
    Sol III - Terra
    #2
    Adobe's web site would be the place to go to check compatibility with Lion. However, they may not say anything about software that old.

    Also, note that Adobe only allows you to upgrade (using upgrade prices) from a certain number of versions back. I think the cutoff for the current products is CS2. So watch that while you wait to upgrade.
     
  3. SolidImaging thread starter macrumors newbie

    Joined:
    May 15, 2008
    Location:
    Phoenix, Arizona
    #3
    Thanks. I didn't think about checking the Adobe site. :) I was saving up for CS5 and was very close to having the $$$ but then the water pump went out on my truck and the lifters went out on my motorcycle and there went CS5. lol Guess I'll just have to start saving. Bummer.
     

Share This Page